DragonFlyBSD - Bug #696

IPSEC recommendation
06/13/2007 02:07 PM - robin_carey5

Status: New Start date:

Priority: Low Due date:

Assignee: tuxillo % Done: 0%
Category: Unverifiable Estimated time: 0.00 hour
Target version: Unverifiable

Description

Not really a bug, more a recommendation:

For higher cryptography security you should make IPSEC
use my CipherPacket technique.

Source code for CipherPacket can be found at:

http://www.caesarion.org.uk

Sincerely,
R Carey.

Yahoo! Mail is the world's favourite email. Don't settle for less, sign up for
your free account today http://uk.rd.yahoo.com/evt=44106/*http://uk.docs.yahoo.com/mail/winterQ7.html

History

#1 - 12/04/2007 11:44 AM - hasso

Licence makes it impossible to use this work in DragonFly BSD base.

#2 - 12/04/2007 12:23 PM - corecode

witf? in what sense? we require all parts to be usable for "crimes
against humanity"?

cheers
simon

#3 - 12/04/2007 01:20 PM - TGEN

No matter how righteous it is, it's a claim that limits usability beyond
what typical open source licenses do. Slippery slope, etc.

Cheers,

Thomas E. Spanjaard
tgen@netphreax.net

#4 - 12/04/2007 05:39 PM - corecode

| don't see a problem in that.

In any case | think we should always focus first on the technical parts
and maybe later on the license issues. So if something is brilliant but
has a strange license, we shouldn't shoot it down because of the license

but first comment on the technical content. After that we can issue
possible legal concerns.

cheers
simon

#5 - 12/04/2007 05:39 PM - justin

I'd much rather evaluate the software on its actual utility, rather than
this slippery slope idea that has us avoiding some troublesome future
license issue that doesn't exist.

We use binary blobs, and have GPL'd items (also restrictive) in the system

- no problem there. If a pedophile wants to use DragonFly, it's that
idiot's responsibility to abide by the licenses of the software involved.
Unless we do something unrealistic like purposefully distributing child
porn on the installer CD, this license does not affect this project.

#6 - 12/04/2007 06:03 PM - dillon
:I don't see a problem in that.

:In any case | think we should always focus first on the technical parts
:and maybe later on the license issues. So if something is brilliant but

:has a strange license, we shouldn't shoot it down because of the license

:but first comment on the technical content. After that we can issue
:possible legal concerns.

:cheers
: simon

Yes, | agree. Just worry about the technical aspects for now. If

it's technically good code one can always negotiate with the author
to adjust the license. We're using Robin's random number generator,
by the way, and its original license was a bit weird too, but then
changed to something compatible.

Generally speaking | am against incorporating code with odd licenses
in it, simply because they are not realistically effective in their
purpose.

Also keep in mind that the original submission was made way back
in June.

-Matt
Matthew Dillon
<dillon@backplane.com>

#7 - 12/04/2007 06:33 PM - robin_carey5
Hi,

| am the author of the code so | can change the
license if necessary.

| doubt you'd be able to use the CipherPacket source
code in C12 for IPSEC, because it is there to
encrypt/decrypt the private-key, and not for IPSEC.

But you can use the CipherPacket algorithm in IPSEC.
When | sent in the bug-report | was really
recommending DFLY use the CipherPacket algorithm in
IPSEC.

--- Simon 'corecode’ Schubert

<bugs@lists.dragonflybsd.org> wrote:

> DragonFly issue tracker
<bugs@lists.dragonflybsd.org>

> <http://bugs.dragonflybsd.org/issue696>

>

>

Sincerely,
R Carey.

Sent from Yahoo! - the World's favourite mail http://uk.mail.yahoo.com

#8 - 12/04/2007 06:33 PM - robin_carey5

| just sent an email explaining that | was
recommending DragonFly should use the CipherPacket
algorithm in IPSEC. The CipherPacket source code in
C12 wouldn't | suspect be directly applicable to an

IPSEC implementation. But the algorithm as implemented
in the source code and described in the source code
comments *would* be applicable.

--- "Justin C. Sherrill" <bugs@lists.dragonflybsd.org>
wrote:

> DragonFly issue tracker
> <bugs@lists.dragonflybsd.org>
> <http:/bugs.dragonflybsd.org/issue696>

>

>

Sincerely,
R Carey.

Sent from Yahoo! - the World's favourite mail http://uk.mail.yahoo.com

#9 - 10/22/2013 01:52 PM - tuxillo
- Description updated
- Assignee deleted (0)

Grab

#10 - 10/22/2013 01:55 PM - tuxillo

- Assignee set to tuxillo

#11 - 06/02/2014 02:40 PM - tuxillo
- Category set to Unverifiable

- Target version set to Unverifiable

Website for the source code isn't available anymore. Also we don't have a working IPSEC implementation (yet).
